RubyGems Navigation menu

highline 3.0.0

A high-level IO library that provides validation, type conversion, and more for command-line interfaces. HighLine also includes a complete menu system that can crank out anything from simple list selection to complete shells with just minutes of work.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 3.1.0 - July 15, 2024 (213 KB)
  2. 3.0.1 - January 20, 2024 (213 KB)
  3. 3.0.0 - January 05, 2024 (213 KB)
  4. 3.0.0.pre.1 - April 27, 2023 (213 KB)
  5. 2.1.0 - December 31, 2022 (212 KB)
Show all versions (71 total)

Runtime Dependencies (1):

abbrev >= 0

Development Dependencies (5):

bundler >= 0
dry-types >= 0
minitest >= 0
rake >= 0
reline >= 0

Owners:

Pushed by:

Authors:

  • James Edward Gray II

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 230,923,502

For this version 183,490

License:

Ruby

Required Ruby Version: >= 3.0

Links: